Bug 576584 (CVE-2010-0740) - CVE-2010-0740 openssl: "Record of death" vulnerability in 0.9.8f through 0.9.8m
Summary: CVE-2010-0740 openssl: "Record of death" vulnerability in 0.9.8f through 0.9.8m
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0740
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20100324,sour...
Depends On: 573653 573658 1127896
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-24 14:30 UTC by Tomas Hoger
Modified: 2019-06-08 12:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-08 16:25:29 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2010-03-24 14:30:01 UTC
New OpenSSL upstream version 0.9.8n fixes a security issue detailed in the upstream "Record of death" vulnerability security advisory:

  http://marc.info/?l=openssl-dev&m=126943908131206&w=2

  In TLS connections, certain incorrectly formatted records can cause an
  OpenSSL client or server to crash due to a read attempt at NULL.

  Affected versions depend on the C compiler used with OpenSSL:

  - If 'short' is a 16-bit integer, this issue applies only to OpenSSL 0.9.8m.
  - Otherwise, this issue applies to OpenSSL 0.9.8f through 0.9.8m.

  Users of OpenSSL should update to the OpenSSL 0.9.8n release, which contains
  a patch to correct this issue.  If upgrading is not immediately possible,
  the source code patch provided in this advisory should be applied.

  Bodo Moeller and Adam Langley (Google) have identified the vulnerability
  and prepared the fix.

Upstream CVS commit:
  http://cvs.openssl.org/chngview?cn=19463

Comment 1 Tomas Hoger 2010-03-24 17:26:42 UTC
This issue did not affect openssl packages in Red Hat Enterprise Linux 3, 4 and 5.

Th size of 'short' is 16-bit on all platforms on which Red Hat Enterprise Linux is supported.  Upstream version 0.9.8m was submitted as an update to Fedora 11, but has not been pushed to stable yet.  1.0.0-beta versions are reportedly affected too.

Comment 2 Fedora Update System 2010-03-25 12:53:13 UTC
openssl-0.9.8n-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openssl-0.9.8n-1.fc11

Comment 4 Fedora Update System 2010-03-30 10:44:14 UTC
openssl-1.0.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openssl-1.0.0-1.fc13

Comment 5 Fedora Update System 2010-03-30 12:27:20 UTC
openssl-1.0.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openssl-1.0.0-1.fc12

Comment 6 Fedora Update System 2010-04-09 03:42:44 UTC
openssl-1.0.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-05-18 16:54:06 UTC
openssl-1.0.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openssl-1.0.0-4.fc12

Comment 8 Fedora Update System 2010-05-25 18:41:39 UTC
openssl-1.0.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.